import { ReactNode } from 'react';
import { IVarBaseInputProps } from './VarBase';
export interface IVarArrayProps<T = any> extends Omit<IVarBaseInputProps<T[]>, 'label' | 'children' | 'readOnly'> {
    children?: ReactNode | ((element: T, index: number, array: T[]) => ReactNode);
}
/**
 * Array input component.
 */
export declare const VarArray: ({ path, value, onChange, disabled, className, children, error, errorPath, }: IVarArrayProps) => JSX.Element;
