/// <reference types="react" />
import { IVarBaseInputProps } from './VarBase';
export interface IVarToggleProps extends IVarBaseInputProps<boolean> {
}
/**
 * Checkbox/toggle component. Accepts and returns a boolean (true/false).
 */
export declare const VarToggle: ({ label, path, value, onChange, disabled, readOnly, className, error, errorPath, }: IVarToggleProps) => JSX.Element;
