/// <reference types="react" />
export interface INumberProps {
    value: number;
    onChange: (value: number) => void;
    round: (value: number) => number;
    min?: number;
    max?: number;
    step: number;
    className?: string;
    disabled?: boolean;
    readOnly?: boolean;
    unit?: string;
}
/**
 * Integer/float slider component. Accepts and provides numbers.
 */
export declare const Number: ({ value, onChange, min, max, step, className, disabled, readOnly, round, unit, }: INumberProps) => JSX.Element;
