import e, { createContext as ae, useContext as ne, useMemo as S, useCallback as N, useRef as L, useEffect as B, useState as x } from "react";
import { get as U, set as J, clone as j } from "radash";
import { usePointerDrag as W } from "react-use-pointer-drag";
import ce from "@uiw/react-color-sketch";
import le from "filesize";
const A = ae(void 0);
function I({ path: r, fallbackValue: o, onChange: i, errorPath: c, error: t }) {
  const n = ne(A), a = S(() => (n == null ? void 0 : n.getValue(r)) ?? o, [n, r, o]), E = N((s) => {
    typeof r == "string" && n && n.setValue(r, s), i == null || i(s);
  }, [r, n, i]);
  return t || (t = n == null ? void 0 : n.getError(c || r)), [a, E, t];
}
const de = ({ values: r, errors: o, updateValues: i, onChange: c, onChangeValue: t, className: n, children: a }) => {
  const E = N((u) => typeof u == "string" ? U(r, u) : void 0, [r]), s = N((u, f) => {
    t == null || t(u, f);
    const g = u === "" ? f : J(j(r), u, f);
    i == null || i(g), c == null || c(g);
  }, [r, i, c, t]), m = N((u) => o && typeof u == "string" ? U(o, u) : void 0, [o]), l = S(() => ({ values: r, getValue: E, setValue: s, getError: m }), [r, E, s]);
  return e.createElement(
    A.Provider,
    { value: l },
    e.createElement("div", { className: "react-var-ui " + (n ?? "") }, a)
  );
}, M = ({ label: r, children: o, className: i, disabled: c, readOnly: t, column: n = !1, error: a }) => e.createElement(
  "div",
  { className: "react-var-ui-label " + (r ? "react-var-ui-label-has-label " : "react-var-ui-label-no-label ") + (c ? "react-var-ui-disabled " : "") + (t ? "react-var-ui-read-only " : "") + (n ? "react-var-ui-label-column " : "") + (i ?? "") },
  !!r && e.createElement("span", null, r),
  o,
  a ? e.createElement("div", { className: "react-var-ui-error" }, a) : null
), Y = Math.PI * 2;
function $(r) {
  return (Y + r % Y) % Y;
}
const Ee = ({ label: r, path: o, value: i, onChange: c, disabled: t, readOnly: n, defaultValue: a = 0, className: E, error: s, errorPath: m }) => {
  const l = L(null), [u, f, g] = I({
    path: o,
    fallbackValue: i,
    onChange: c,
    error: s,
    errorPath: m
  }), d = S(() => Math.round($(u) * (180 / Math.PI)), [u]), { dragProps: v } = W({
    onMove: ({ x: V, y: h }) => {
      const C = l.current.getBoundingClientRect(), b = C.left + C.width / 2, p = C.top + C.height / 2;
      f($(Math.atan2(h - p, V - b) + Math.PI / 2));
    }
  });
  return B(() => {
    var V;
    (V = l.current) == null || V.addEventListener("wheel", (h) => h.preventDefault());
  }, []), e.createElement(
    M,
    { label: r, disabled: t, readOnly: n, className: E, error: g },
    e.createElement(
      "span",
      { className: "react-var-ui-angle-value" },
      d,
      "°"
    ),
    e.createElement(
      "div",
      { className: "react-var-ui-angle" },
      e.createElement("div", { className: "react-var-ui-angle-control react-var-ui-interactive", ref: l, style: { transform: `rotate(${d}deg)` }, onDoubleClick: () => typeof a < "u" && f(a), onWheel: (V) => {
        f($(u + 0.5 * Math.sign(V.deltaY)));
      }, title: "Angle", ...v() })
    )
  );
}, fe = ({ path: r, value: o, onChange: i, disabled: c, className: t, children: n, error: a, errorPath: E }) => {
  const [s, m, l] = I({
    path: r,
    fallbackValue: o,
    onChange: i,
    error: a,
    errorPath: E
  });
  return e.createElement("div", { className: "react-var-ui-array " + (c ? "react-var-ui-disabled " : "") + (t ?? "") }, s == null ? void 0 : s.map((u, f, g) => e.createElement(A.Provider, { value: {
    values: u,
    getValue: (d) => typeof d == "string" ? U(u, d) : void 0,
    setValue: (d, v) => {
      const V = [...s];
      V[f] = d === "" ? v : J(j(u), d, v), m(V);
    },
    getError: (d) => {
      const v = l == null ? void 0 : l[f];
      return v && d ? U(v, d) : void 0;
    }
  }, key: f }, typeof n == "function" ? n(u, f, g) : n)));
}, ge = ({ label: r, onClick: o, buttonLabel: i, disabled: c, className: t, error: n }) => e.createElement(
  M,
  { label: r, disabled: c, className: t, error: n },
  e.createElement(
    "span",
    { className: "react-var-ui-button" },
    e.createElement("button", { onClick: () => o == null ? void 0 : o(), disabled: c }, i)
  )
), pe = ({ label: r, path: o, value: i, onChange: c, alpha: t, disabled: n, readOnly: a, className: E, error: s, errorPath: m }) => {
  const [l, u, f] = I({
    path: o,
    fallbackValue: i,
    onChange: c,
    error: s,
    errorPath: m
  }), [g, d] = x(!1);
  return e.createElement(
    M,
    { label: r, disabled: n, readOnly: a, className: E, error: f },
    e.createElement(
      "span",
      null,
      e.createElement("span", { className: "react-var-ui-color-value" }, l),
      e.createElement(
        "div",
        { className: "react-var-ui-color react-var-ui-interactive" },
        e.createElement(
          "div",
          { className: "react-var-ui-color-swatch", onClick: () => d((v) => !v) },
          e.createElement("div", { className: "react-var-ui-color-color", title: "Color preview", style: { background: l } })
        ),
        g ? e.createElement(
          "div",
          { className: "react-var-ui-color-popover" },
          e.createElement("div", { className: "react-var-ui-color-cover", onClick: () => d(!1) }),
          e.createElement(ce, { color: l, onChange: (v) => {
            u(t ? v.hexa : v.hex);
          }, disableAlpha: !t })
        ) : null
      )
    )
  );
}, Ve = ({ label: r, path: o, value: i, disabled: c, readOnly: t, className: n, error: a, errorPath: E, unit: s }) => {
  const [m, l, u] = I({
    path: o,
    fallbackValue: i,
    error: a,
    errorPath: E
  });
  return e.createElement(
    M,
    { label: r, disabled: c, readOnly: t, className: n, error: u },
    e.createElement(
      "span",
      null,
      m,
      s
    )
  );
}, H = () => e.createElement(
  "svg",
  { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", viewBox: "0 0 16 16" },
  e.createElement("path", { d: "M.5 9.9a.5.5 0 0 1 .5.5v2.5a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1v-2.5a.5.5 0 0 1 1 0v2.5a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2v-2.5a.5.5 0 0 1 .5-.5z" }),
  e.createElement("path", { d: "M7.646 1.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1-.708.708L8.5 2.707V11.5a.5.5 0 0 1-1 0V2.707L5.354 4.854a.5.5 0 1 1-.708-.708l3-3z" })
), he = ({ label: r, path: o, value: i, onChange: c, disabled: t, readOnly: n, className: a, accept: E, displayMetadata: s = !0, error: m, errorPath: l }) => {
  const [u, f, g] = I({
    path: o,
    fallbackValue: i,
    onChange: c,
    error: m,
    errorPath: l
  }), d = N((v) => {
    var h;
    if (!((h = v.target.files) != null && h.length))
      return;
    const V = v.target.files[0];
    f(V);
  }, [f]);
  return e.createElement(
    M,
    { label: r, disabled: t, readOnly: n, className: a, error: g },
    e.createElement("span", { className: "react-var-ui-file-value" }, u == null ? void 0 : u.name),
    e.createElement(
      "div",
      { className: "react-var-ui-file react-var-ui-interactive" },
      s && !!u && e.createElement(
        "div",
        { className: "react-var-ui-file-metadata" },
        e.createElement(
          "div",
          null,
          "Size: ",
          le(u.size)
        ),
        e.createElement(
          "div",
          null,
          "Type: ",
          u.type || "unknown"
        )
      ),
      e.createElement(H, null),
      e.createElement("input", { type: "file", accept: E, onChange: d, title: "File upload" })
    )
  );
}, ye = ({ label: r, path: o, value: i, onChange: c, disabled: t, readOnly: n, className: a, error: E, errorPath: s }) => {
  const [m, l, u] = I({
    path: o,
    fallbackValue: i,
    onChange: c,
    error: E,
    errorPath: s
  }), f = N((g) => {
    var V;
    if (!((V = g.target.files) != null && V.length))
      return;
    const d = g.target.files[0], v = URL.createObjectURL(d);
    l(v);
  }, [l]);
  return e.createElement(
    M,
    { label: r, disabled: t, readOnly: n, className: a, error: u, column: !0 },
    e.createElement(
      "div",
      { className: "react-var-ui-image react-var-ui-interactive" },
      e.createElement("div", { className: "react-var-ui-image-background", style: {
        backgroundImage: m ? `url('${m}')` : void 0
      }, title: "Image preview" }),
      e.createElement(H, null),
      e.createElement("input", { type: "file", accept: "image/*", onChange: f, title: "Image upload" })
    )
  );
}, Ne = ({ label: r, path: o, value: i, onChange: c, disabled: t, readOnly: n, className: a, acceptImage: E, acceptAudio: s, acceptVideo: m, error: l, errorPath: u }) => {
  const [f, g, d] = I({
    path: o,
    fallbackValue: i,
    onChange: c,
    error: l,
    errorPath: u
  }), [v, V] = x(), h = S(() => {
    let p = "";
    return E && (p += "image/*,"), s && (p += "audio/*,"), m && (p += "video/*,"), p.endsWith(",") && (p = p.slice(0, -1)), p || (p = "image/*,audio/*,video/*"), p;
  }, [E, s, m]), k = N((p) => {
    var P;
    if (!((P = p.target.files) != null && P.length))
      return;
    const w = p.target.files[0], F = URL.createObjectURL(w);
    g(F);
  }, [g, V]), C = N(async (p) => {
    var F, P, D;
    if (!p) {
      V(void 0);
      return;
    }
    const w = await fetch(p);
    V((D = (P = (F = w == null ? void 0 : w.headers) == null ? void 0 : F.get("Content-Type")) == null ? void 0 : P.split("/")) == null ? void 0 : D[0]);
  }, [V]);
  B(() => {
    C(f);
  }, [f]);
  let b = e.createElement("div", { className: "react-var-ui-media-metadata" }, f ? "Unsupported file type." : "");
  switch (v) {
    case "image":
      b = e.createElement("div", { className: "react-var-ui-media-background", style: {
        backgroundImage: `url('${f}')`
      }, title: "Media preview" });
      break;
    case "video":
      b = e.createElement("video", { className: "react-var-ui-media-background", muted: !0, loop: !0, autoPlay: !0, src: f, title: "Media preview" });
      break;
    case "audio":
      b = e.createElement("audio", { className: "react-var-ui-media-audio", loop: !0, controls: !0, src: f, title: "Media preview" });
      break;
  }
  return e.createElement(
    M,
    { label: r, disabled: t, readOnly: n, className: a, error: d, column: !0 },
    e.createElement(
      "div",
      { className: "react-var-ui-media react-var-ui-interactive" },
      b,
      e.createElement(H, null),
      e.createElement("input", { type: "file", accept: h, onChange: k, title: "Media upload" })
    )
  );
};
function X(r, o, i, c, t) {
  var a;
  isFinite(r) || (r = o ?? 0);
  let n = 2;
  return typeof c == "number" && (n = ((a = c.toString().split(".")[1]) == null ? void 0 : a.length) || 0, r = Math.round(r / c) * c), typeof o == "number" && (r = Math.max(o, r)), typeof i == "number" && (r = Math.min(i, r)), t ? Math.round(r) : parseFloat(r.toFixed(n));
}
const K = () => e.createElement(
  "svg",
  { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", viewBox: "0 0 16 16" },
  e.createElement("path", { fillRule: "evenodd", d: "M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z" })
), _ = () => e.createElement(
  "svg",
  { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", viewBox: "0 0 16 16" },
  e.createElement("path", { fillRule: "evenodd", d: "M7.646 4.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1-.708.708L8 5.707l-5.646 5.647a.5.5 0 0 1-.708-.708l6-6z" })
), O = ({ value: r, onChange: o, min: i, max: c, step: t, className: n, disabled: a, readOnly: E, round: s, unit: m }) => {
  const l = L(null), u = N((d) => {
    l.current && (l.current.value = String(s(d))), o(d);
  }, [o, s]);
  B(() => {
    l.current && (l.current.value = String(r));
  }, [r]);
  const f = () => {
    const d = l.current;
    d && u(parseFloat(d.value));
  }, g = a || E ? {} : {
    onBlur: f,
    onKeyDown: (d) => {
      const v = l.current;
      switch (d.key) {
        case "ArrowUp":
          d.preventDefault(), u(parseFloat(v.value) + t);
          break;
        case "ArrowDown":
          d.preventDefault(), u(parseFloat(v.value) - t);
          break;
      }
    },
    onKeyUp: (d) => {
      d.key === "Enter" && (d.preventDefault(), f());
    }
  };
  return e.createElement(
    "div",
    { className: n },
    e.createElement("input", { type: "number", min: i, max: c, step: t, disabled: a, readOnly: E, ref: l, ...g }),
    m ? e.createElement("span", null, m) : null
  );
}, ke = ({ label: r, path: o, value: i, onChange: c, min: t, max: n, step: a = 1, integer: E, showButtons: s, disabled: m, readOnly: l, className: u, error: f, errorPath: g, unit: d }) => {
  const [v, V, h] = I({
    path: o,
    fallbackValue: i,
    onChange: c,
    error: f,
    errorPath: g
  }), k = N((p) => X(p, t, n, a, !!E), [t, n, a, E]), C = S(() => k(v), [v, k]), b = N((p) => {
    p = k(p), V(p);
  }, [k, V]);
  return e.createElement(
    M,
    { label: r, disabled: m, readOnly: l, className: u, error: h },
    e.createElement(
      "div",
      { className: "react-var-ui-number" },
      e.createElement(O, { className: "react-var-ui-number-input", round: k, min: t, max: n, step: a, value: C, disabled: m, readOnly: l, onChange: b, unit: d }),
      s && e.createElement(
        e.Fragment,
        null,
        e.createElement(
          "button",
          { title: "Increase", onClick: () => b(v + a), disabled: m || l },
          e.createElement(_, null)
        ),
        e.createElement(
          "button",
          { title: "Decrease", onClick: () => b(v - a), disabled: m || l },
          e.createElement(K, null)
        )
      )
    )
  );
}, we = ({ path: r, value: o, onChange: i, children: c, error: t, errorPath: n }) => {
  const [a, E, s] = I({
    path: r,
    fallbackValue: o,
    onChange: i,
    error: t,
    errorPath: n
  });
  return e.createElement(A.Provider, { value: {
    values: a,
    getValue: (m) => typeof m == "string" ? U(a, m) : void 0,
    setValue: (m, l) => {
      const u = J(j(a), m, l);
      E(u);
    },
    getError: (m) => s && m ? U(s, m) : void 0
  } }, c);
}, be = ({ label: r, path: o, value: i, onChange: c, options: t, disabled: n, readOnly: a, className: E, error: s, errorPath: m }) => {
  const [l, u, f] = I({
    path: o,
    fallbackValue: i,
    onChange: c,
    error: s,
    errorPath: m
  }), g = S(() => JSON.stringify(l), [l]), d = !!t.find((v) => JSON.stringify(v.value ?? v.key) === g);
  return e.createElement(
    M,
    { label: r, disabled: n, readOnly: a, className: E, error: f },
    e.createElement(
      "div",
      { className: "react-var-ui-select" },
      e.createElement(
        "select",
        { onChange: (v) => u(JSON.parse(v.target.value)), value: g, title: "Select options", disabled: n || a },
        !d && e.createElement("option", { value: g }, String(l)),
        t.map((v) => {
          const V = JSON.stringify(v.value ?? v.key);
          return e.createElement("option", { key: v.key, value: V }, v.label);
        })
      )
    )
  );
}, Ce = ({ label: r, path: o, value: i, onChange: c, min: t, max: n, step: a, inputMin: E = t, inputMax: s = n, inputStep: m = a, integer: l, defaultValue: u, showInput: f, showButtons: g, disabled: d, readOnly: v, className: V, error: h, errorPath: k, unit: C }) => {
  const b = L(null), [p, w, F] = I({
    path: o,
    fallbackValue: i,
    onChange: c,
    error: h,
    errorPath: k
  }), P = N((y) => X(y, t, n, a, !!l), [t, n, a, l]), D = N((y) => X(y, E, s, m, !!l), [E, s, m, l]), z = S(() => P(p), [p, P]), T = S(() => (z - t) / (n - t) * 100, [z, t, n]), R = N((y) => {
    w(P(y));
  }, [P, w]), ee = N((y) => {
    w(D(y));
  }, [D, w]), q = N((y) => {
    const Q = b.current.getBoundingClientRect(), re = (y - Q.left) / Q.width;
    R(t + (n - t) * re);
  }, [R, l, t, n, a]), { dragProps: te } = W({
    onMove: ({ x: y }) => q(y)
  });
  return B(() => {
    var y;
    (y = b.current) == null || y.addEventListener("wheel", (G) => G.preventDefault());
  }, []), e.createElement(
    M,
    { label: r, disabled: d, readOnly: v, className: V, error: F },
    e.createElement(
      "div",
      { className: "react-var-ui-slider" },
      e.createElement(
        "div",
        { className: "react-var-ui-slider-track react-var-ui-interactive", ref: b, onClick: (y) => q(y.clientX), onDoubleClick: () => typeof u < "u" && R(u), onWheel: (y) => R(p - a * Math.sign(y.deltaY)), title: "Slider", ...te() },
        e.createElement("div", { className: "react-var-ui-slider-content", style: { width: T + "%" } })
      ),
      f ? e.createElement(O, { className: "react-var-ui-slider-input", round: P, min: E, max: s, step: m, disabled: d, readOnly: v, onChange: ee, value: p, unit: C }) : e.createElement(
        "span",
        null,
        z.toString(),
        C
      ),
      g && e.createElement(
        e.Fragment,
        null,
        e.createElement(
          "button",
          { title: "Increase", onClick: () => R(p + a), disabled: d || v },
          e.createElement(_, null)
        ),
        e.createElement(
          "button",
          { title: "Decrease", onClick: () => R(p - a), disabled: d || v },
          e.createElement(K, null)
        )
      )
    )
  );
}, Ie = ({ label: r, path: o, value: i, onChange: c, maxLength: t, multiline: n, autoexpand: a, disabled: E, readOnly: s, className: m, error: l, errorPath: u }) => {
  const [f, g, d] = I({
    path: o,
    fallbackValue: i,
    onChange: c,
    error: l,
    errorPath: u
  }), v = (h) => {
    const k = h.currentTarget;
    k.style.height = "0", k.style.height = `${k.scrollHeight}px`;
  }, V = S(() => a ? { overflow: "hidden", resize: "none" } : void 0, [a]);
  return e.createElement(M, { label: r, disabled: E, readOnly: s, className: m, column: n, error: d }, n ? e.createElement("textarea", { className: "react-var-ui-string-multiline", value: f, onChange: (h) => g(h.target.value), onInput: a ? v : void 0, style: V, disabled: E, readOnly: s }) : e.createElement(
    "span",
    { className: "react-var-ui-string" },
    e.createElement("input", { type: "text", maxLength: t, value: f, onChange: (h) => g(h.target.value), disabled: E, readOnly: s })
  ));
}, Me = ({ label: r, path: o, value: i, onChange: c, disabled: t, readOnly: n, className: a, error: E, errorPath: s }) => {
  const [m, l, u] = I({
    path: o,
    fallbackValue: i,
    onChange: c,
    error: E,
    errorPath: s
  });
  return e.createElement(
    M,
    { label: r, disabled: t, readOnly: n, className: a, error: u },
    e.createElement(
      "span",
      null,
      e.createElement(
        "label",
        { className: "react-var-ui-toggle", title: "Toggle" },
        e.createElement("input", { type: "checkbox", checked: m, onChange: (f) => l(f.target.checked), disabled: t, readOnly: n }),
        e.createElement("span", { className: "react-var-ui-toggle-helper" })
      )
    )
  );
};
function Z(r, o, i, c) {
  var n;
  const t = [0, 0];
  if (!r || !Array.isArray(r) || r.length < 2)
    return t;
  for (let a = 0; a < c.length; a++) {
    const E = ((n = c[a].toString().split(".")[1]) == null ? void 0 : n.length) || 0;
    t[a] = Math.round(r[a] / c[a]) * c[a], t[a] = Math.max(o[a], t[a]), t[a] = Math.min(i[a], t[a]), t[a] = parseFloat(t[a].toFixed(E));
  }
  return t;
}
function oe(r, o, i) {
  if (!r)
    return [50, 50];
  const c = [0, 0];
  for (let t = 0; t < r.length; t++)
    c[t] = (r[t] - o[t]) / (i[t] - o[t]) * 100;
  return c;
}
const Pe = ({ label: r, path: o, value: i, onChange: c, disabled: t, readOnly: n, className: a, defaultValue: E = [0, 0], min: s = [-1, -1], max: m = [1, 1], step: l = [0.01, 0.01], error: u, errorPath: f }) => {
  const g = L(null), [d, v, V] = I({
    path: o,
    fallbackValue: i,
    onChange: c,
    error: u,
    errorPath: f
  }), h = S(() => Z(d, s, m, l), [d, s, m, l]), k = S(() => oe(h, s, m), [h, s, m]), C = N((w, F) => {
    if (!g.current)
      return;
    const D = g.current.getBoundingClientRect(), z = (w - D.left) / D.width, T = (F - D.top) / D.height, R = Z([
      s[0] + (m[0] - s[0]) * z,
      s[1] + (m[1] - s[1]) * T
    ], s, m, l);
    v(R);
  }, [v, s, m, l]), { dragProps: b } = W({
    onMove: ({ x: w, y: F }) => C(w, F)
  }), p = N(() => {
    typeof E < "u" && v(E);
  }, [E, v]);
  return e.createElement(
    M,
    { label: r, disabled: t, readOnly: n, className: a, error: V },
    e.createElement(
      "span",
      { className: "react-var-ui-xy-value" },
      h[0],
      ", ",
      h[1]
    ),
    e.createElement(
      "div",
      { className: "react-var-ui-xy react-var-ui-interactive" },
      e.createElement(
        "div",
        { className: "react-var-ui-xy-space", ref: g, onClick: (w) => C(w.clientX, w.clientY), onDoubleClick: p, ...b() },
        e.createElement("div", { className: "react-var-ui-xy-control", style: { top: k[1] + "%", left: k[0] + "%" } })
      )
    )
  );
}, Se = ({ label: r, className: o, children: i, collapsible: c }) => {
  const [t, n] = x(!1);
  return e.createElement(
    "div",
    { className: "react-var-ui-category " + (o ?? "") },
    e.createElement(
      "div",
      { className: "react-var-ui-category-title" },
      r,
      c && e.createElement("button", { title: t ? "Expand" : "Collapse", className: "react-var-ui-category-collapse", onClick: () => n((a) => !a) }, t ? e.createElement(K, null) : e.createElement(_, null))
    ),
    (!c || !t) && e.createElement("div", null, i)
  );
};
export {
  Ee as VarAngle,
  fe as VarArray,
  M as VarBase,
  ge as VarButton,
  Se as VarCategory,
  pe as VarColor,
  Ve as VarDisplay,
  he as VarFile,
  ye as VarImage,
  Ne as VarMedia,
  ke as VarNumber,
  we as VarScope,
  be as VarSelect,
  Ce as VarSlider,
  Ie as VarString,
  Me as VarToggle,
  de as VarUI,
  Pe as VarXY,
  I as useVarUIValue
};
